#
# Conditional build:
%bcond_with		gtk3		# build GTK+3, disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Default session manager for LXDE
Name:		lxsession
Version:	0.4.9.2
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	bc3eb71936dbdf813e9ac2f00ab948f0
URL:		http://wiki.lxde.org/en/LXSession
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	libgee0.6-devel
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	vala
BuildRequires:	xorg-lib-libX11-devel
Provides:	lxpolkit = 0.1.0-2
Provides:	lxsession-edit = 0.2.0-3
Obsoletes:	lxpolkit
Obsoletes:	lxsession-edit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXSession is the default session manager of LXDE.

LXSession automatically starts a set of applications and sets up a
working desktop environment. Moreover, the session manager is able to
remember the applications in use when a user logs out and to restart
them the next time the user logs in.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxclipboard
%attr(755,root,root) %{_bindir}/lxlock
%attr(755,root,root) %{_bindir}/lxpolkit
%attr(755,root,root) %{_bindir}/lxsession*
%{_datadir}/lxsession
%{_desktopdir}/lxsession*.desktop
%{_mandir}/man1/lxsession*
%changelog
* Sun Mar 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxsession.git;a=log;h=master

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 5ddd625
- x32 rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1abe28d
- updated gettext BR

* Fri Aug 02 2013 Elan Ruusamäe <glen@delfi.ee> 93ea3fe
- provide old package names for clean upgrade path

* Mon Jul 22 2013 Marcin Krol <hawk@tld-linux.org> e259278
- obsoletes lxsession-edit and lxpolkit, they are now part of lxsession
- release 2

* Thu Jul 18 2013 Marcin Krol <hawk@tld-linux.org> 1205c6e
- updated to 0.4.9.2, more BRs (based on configure.ac)

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 3f1661f
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 5ce6999
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 57e549c
- up to 0.4.6.1, added gtk3 bcond

* Fri May 27 2011 Elan Ruusamäe <glen@pld-linux.org> 7218543
- up to 0.4.5

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> f53625c
- more precise urls

* Fri Jul 30 2010 sparky <sparky@pld-linux.org> 68f7580
- BR: dbus-devel, gettext-devel, intltool, pkgconfig
- dropped BR: menu-cache-devel

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> ba9cd37
- new

